﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CygNet_Call_Center
{
    /// <summary>
    /// Interaction logic for CreateNote.xaml
    /// </summary>
    public partial class CreateNote : Window, INotifyPropertyChanged
    {
        public String SummaryText { get; set; }
        public String BeginRange { get; set; }
        public String EndRange { get; set; }

        private bool _isRangedNote;
        public bool IsRangedNote
        {
            get { return _isRangedNote; }
            set
            {
                _isRangedNote = value;
                OnPropertyChanged("IsRangedNote");
            }
        }

        public CreateNote()
        {
            InitializeComponent();

            BeginRange = DateTime.Now.ToString();
            EndRange = DateTime.Now.ToString();

            IsRangedNote = false;
        }

        private void Button_Save(object sender, RoutedEventArgs e)
        {

            this.DialogResult = true;
            this.Close();
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }
    }
}
