﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using CygNet_Call_Center.Models;

namespace CygNet_Call_Center
{
    /// <summary>
    /// Interaction logic for FacilityChooser.xaml
    /// </summary>
    public partial class FacilityChooser : Window, INotifyPropertyChanged
    {
        public CygNetFacility SelectedFacility { get; set; }

        private ObservableCollection<CygNetFacility> _cygnetfacilities;
        public ObservableCollection<CygNetFacility> CygNetFacilities
        {
            get { return _cygnetfacilities; }
            set
            {
                _cygnetfacilities = value;
                OnPropertyChanged("CygNetFacilities");
            }
        }
        
        public FacilityChooser()
        {
            InitializeComponent();
        }


        private void ChooseFacility(object sender, RoutedEventArgs e)
        {
            DataGrid grid = (DataGrid)sender;
            SelectedFacility = (CygNetFacility)grid.SelectedItem;

            this.Close();
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }
    }
}
