﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using CygNet_Call_Center.Common;

namespace CygNet_Call_Center.Models
{
    public class Conversation : INotifyPropertyChanged
    {
        #region Properties

        public String PhoneNumber { get; set; }
        public String PhoneNumberFormatted
        {
            get
            {
                if (PhoneNumber.Count() == 12)
                    return Convert.ToInt64(PhoneNumber.Substring(2)).ToString("(###) ###-####");
                else
                    return PhoneNumber;
            }
        }

        private String _name;
        public String Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }

        private String _facTag;
        public String FacilityTag
        {
            get { return _facTag; }
            set
            {
                _facTag = value;
                OnPropertyChanged("FacilityTag");
            }
        }

        private String _pointTag;
        public String PointTag
        {
            get { return _pointTag; }
            set
            {
                _pointTag = value;
                OnPropertyChanged("PointTag");
            }
        }

        private ConversationStatus _status;
        public ConversationStatus Status
        {
            get { return _status; }
            set
            {
                _status = value;
                OnPropertyChanged("Status");
            }
        }

        private String _summary;
        public String Summary
        {
            get { return _summary; }
            set
            {
                _summary = value;
                OnPropertyChanged("Summary");
            }
        }

        private ObservableCollection<Twilio.Message> _messages;
        public ObservableCollection<Twilio.Message> Messages
        {
            get { return _messages; }
            set
            {
                _messages = value;
                OnPropertyChanged("Messages");
            }
        }

        #endregion


        public Conversation()
        {
            Messages = new ObservableCollection<Twilio.Message>();
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }
    }
}
