﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Twilio;

namespace CygNet_Call_Center.Services
{
    class TwilioHost
    {
        private TwilioRestClient _client;
        public String _twilioPhoneNumber = "<Get From Twilio>";
        private DateTime? _lastProcessedMsg = null;

        public TwilioHost()
        {
            var authToken = "<Get From Twilio>";
            var accountSid = "<Get From Twilio>";

            _client = new TwilioRestClient(accountSid, authToken);
        }

        public void SendText(String PhoneNumber, String TextMsg)
        {
            var resp = _client.SendMessage(_twilioPhoneNumber, PhoneNumber, TextMsg);
        }

        public List<Twilio.Message> GetMessages()
        {
            //var request = new MessageListRequest();
            Twilio.MessageResult messages = _client.ListMessages();
            if (messages == null || messages.Messages == null)
                return new List<Twilio.Message>();

            var ret = new List<Twilio.Message>();
            foreach (var message in messages.Messages)
            {
                if (_lastProcessedMsg == null || message.DateCreated > _lastProcessedMsg)
                {
                    ret.Add(message);
                }
            }

            if (messages.Messages.Count > 0)
                _lastProcessedMsg = messages.Messages.First().DateCreated;

            ret.Reverse(); //Reverse it so that the client always gets the oldest first
            return ret;
        }

        public void DeleteMessages(ObservableCollection<Twilio.Message> Messages)
        {
            foreach (var msg in Messages)
            {
                _client.DeleteMessage(msg.Sid);
            }
        }

        public void CallNumbersInParallel(List<String> PhoneNumbers)
        {
            foreach (String phoneNumber in PhoneNumbers)
            {
                _client.InitiateOutboundCall(_twilioPhoneNumber, phoneNumber, "http://demo.twilio.com/welcome/voice/");
            }
        }
    }
}
